package com.mortals.xhx.module.staff.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.staff.model.StaffEntity;

import java.util.List;

/**
* 员工基本信息Dao
* 员工基本信息 DAO接口
*
* @author zxfei
* @date 2023-04-07
*/

public interface  StaffDao extends ICRUDDao<StaffEntity,Long>{


    /**
     * 查询所有
     * */

    List<StaffEntity> queryAllList();

    /**
     * 所有在职员工
     * */
    int queryInWork();

    /**
     * 在职
     * */
    int queryFull();

    /**
     * 实习
     * */
    int queryPricate();

    /**
     * 试用
     * */
    int queryOnTrial();

    /**
     * 正式
     * */
    int queryFormal();

    /**
     * 兼职
     * */
    int queryConcurrently();

    /**
     * 查询职位
     * */
    List<StaffEntity> queryDetp();
}
